Skip to content
ViZDoom Python wrapper
C++ C CMake Objective-C++ Assembly Python Other
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
doom_py
.gitignore Update .gitignore May 8, 2016
.travis.yml Use CMake to find include dir, python library if setup.py fails. May 23, 2016
LICENSE Change COPYING -> LICENSE May 8, 2016
MANIFEST.in
Makefile
README.md
setup.py Bump version Jun 12, 2016
tox.ini

README.md

Status: Archive (code is provided as-is, no updates expected)

doom_py

Build Status

DEPRECATED, please use the official ViZDoom python bindings instead.

Python wrappers for ViZDoom. Contains a modified version of the bleeding-edge ViZDoom source code.

###Requirements

  • CMake 3.0+
  • Make
  • GCC 4.6+
  • Boost Libraries
  • SDL 2.0.2
  • Python with Numpy

To install dependencies on OS X via Brew, type

brew install cmake boost boost-python sdl2 wget

To run with python3 you may need to run

brew install boost-python --with-python3

To install dependencies on Ubuntu, type

apt-get install -y python-numpy cmake zlib1g-dev libjpeg-dev libboost-all-dev gcc libsdl2-dev wget unzip

Installation

python setup.py build
pip install -e .
You can’t perform that action at this time.